package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

interface RedeemCodeInteractor {

    interface View {

        fun onRedeemCodeSuccess(jsonObject: JSONObject)
        fun onRedeemCodeFailure(errorMessage: VolleyError)

    }

    interface Presenter {
        fun onRedeemCode(type: String, data: String, phoneNumber: String)
    }
}